Chinaunix首页 | 论坛 | 博客
  • 博客访问: 915551
  • 博文数量: 632
  • 博客积分: 2778
  • 博客等级: 大尉
  • 技术积分: 3387
  • 用 户 组: 普通用户
  • 注册时间: 2012-05-31 09:09
个人简介

123

文章分类

全部博文(632)

文章存档

2014年(36)

2013年(33)

2012年(563)

分类:

2012-12-14 16:54:08

在Ubuntu下安装Python模块通常可以使用apt-get和pip命令。apt-get命令是Ubuntu自带的包管理命令,而pip则是Python安装扩展模块的工具,通常pip会下载扩展模块的源代码并编译安装。

Ubuntu 12.04中缺省安装了Python2.7.3,首先通过下面的命令安装pip,pip是Python的一个安装和管理扩展库的工具。

sudo apt-get install python-pip

安装Python开发环境,方便今后编译其他扩展库,占用空间92.8M:

sudo apt-get install python-dev

IPython

为了安装最新版的IPython 0.13beta,需要下载IPython源代码,并执行安装命令。在IPython 0.13beta中提供了改进版本的IPython notebook。下面的命令首先安装版本管理软件git,然后通过git命令从IPython的开发代码库中下载最新版本的IPython源代码,并执行安装命令:

cd
sudo apt-get install git
git clone https://github.com/ipython/ipython.git
cd ipython
sudo python setup.py install

如果安装目前的最新稳定版本,可以输入:

sudo apt-get install ipython

安装完毕之后,请输入ipython命令测试是否能正常启动。

为了让IPython notebook工作,还还需要安装tornado和pyzmq:

sudo pip install tornado
sudo apt-get install libzmq-dev
sudo pip install pyzmq
sudo pip install pygments

下面测试IPython:

cd
mkdir notebook
cd notebook
ipython notebook

为了在IPython中离线使用LaTeX数学公式,需要安装mathjax,首先输入下面的命令启动ipython notebook:

sudo ipython notebook

在IPython notebook界面中输入:

from IPython.external.mathjax import install_mathjax
install_mathjax()

NumPy,SciPy和matplotlib

通过apt-get命令可以快速安装这三个库:

sudo apt-get install python-numpy
sudo apt-get install python-scipy
sudo apt-get install python-matplotlib

如果需要通过pip编译安装,可以先用apt-get命令安装所有编译所需的库:

sudo apt-get build-dep python-numpy
sudo apt-get build-dep python-scipy

然后通过pip命令安装:

sudo pip install numpy
sudo pip install scipy
通过build-dep会安装很多库,包括Python 3.2。

PyQt4和Spyder

下面的命令安装PyQt4,Qt界面设计器,PyQt4的开发工具以及文档:

sudo apt-get install python-qt4
sudo apt-get install qt4-designer
sudo apt-get install pyqt4-dev-tools
sudo apt-get install python-qt4-doc

安装完毕之后,文档位于:

/usr/share/doc/python-qt4-doc

安装好PyQt4之后通过下面的命令安装Spyder:

sudo apt-get install spyder

由于Spyder经常更新,通过下面的命令可以安装最新版:

sudo pip install spyder --upgrade

cython和SWIG

Cython和SWIG是编写Python扩展模块的工具:

sudo pip install cython
sudo apt-get install swig

输入 cython --version 和 swig -version 查看版本。

ETS

ETS是enthought公司开发的一套科学计算软件包,其中的Mayavi通过VTK实现数据的三维可视化。

首先通过下面的命令安装编译ETS所需的库:

sudo apt-get install python-dev libxtst-dev scons python-vtk  pyqt4-dev-tools python2.7-wxgtk2.8 python-configobj
sudo apt-get install libgl1-mesa-dev libglu1-mesa-dev

创建ets目录,并在此目录下下载ets.py,运行ets.py可以复制最新版的ETS源程序,并安装:

mkdir ets
cd ets
wget https://github.com/enthought/ets/raw/master/ets.py
python ets.py clone
sudo python ets.py develop
#sudo python ets.py install    或者运行install安装

如果一切正常,那么输入 mayavi2 命令则会启动mayavi。

OpenCV

为了编译OpenCV需要下载cmake编译工具,和一些依赖库:

sudo apt-get install build-essential
sudo apt-get install cmake
sudo apt-get install cmake-gui
sudo apt-get install libavcodec-dev libavformat-dev libswscale-dev
sudo apt-get install libjpeg-dev libpng-dev libtiff-dev libjasper-dev

然后从 http://sourceforge.net/projects/opencvlibrary/ 下载最新版的OpenCV源代码,并解压。然后创建编译用的目录release,并启动cmake-gui:

mkdir release
cmake-gui

在界面中选择OpenCV源代码的目录,和编译输出目录release,然后按Configure按钮,并根据需要设置各个编译选项,最后点Generate按钮,退出cmake-gui界面。进入编译路径,执行下面的命令:

cd release
make
sudo make install

安装完毕之后,启动IPython,并输入 import cv2 测试OpenCV是否能正常载入。

阅读(327) | 评论(0) | 转发(0) |
给主人留下些什么吧!~~